curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/investment_holdings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/investment_holdings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/investment_holdings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"investment_holdings": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"cost_basis": 827,
"coupon_yield": null,
"currency_code": "USD",
"current_price": 15,
"daily_change": 2.5,
"description": "Guggenheim Defensive Equity ETF",
"expiration": null,
"face_value": null,
"frequency": null,
"guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
"market_value": 989.5,
"maturity_date": null,
"percentage_change": 0.2,
"purchase_price": 26.3,
"quantity": "5000.0",
"rate": null,
"strike_price": null,
"symbol": "DEF",
"term": null,
"today_ugl_amount": 200,
"today_ugl_percentage": 0.27,
"total_ugl_amount": 20000,
"total_ugl_percentage": 26.67,
"unvested_quantity": null,
"unvested_value": null,
"user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d",
"vested_quantity": null,
"vested_value": null,
"created_at": "2015-04-13T18:01:23.000Z",
"current_price_as_of": "2023-11-06T00:00:00Z",
"issue_date": "2015-08-15",
"vesting_start_date": null,
"vesting_end_date": null,
"put_or_call": null,
"holding_type": "MUTUAL_FUND",
"term_unit": null
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List holdings by user
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
827
null
"USD"
15
2.5
"Guggenheim Defensive Equity ETF"
null
null
null
"HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2"
989.5
null
0.2
26.3
"5000.0"
null
null
"DEF"
null
200
0.27
20000
26.67
null
null
"USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
null
null
"2015-04-13T18:01:23.000Z"
"2023-11-06T00:00:00Z"
"2015-08-15"
null
null
null
"MUTUAL_FUND"
null

